Commit 4bee14f0 authored by thorsten.vitt's avatar thorsten.vitt
Browse files

Merge branch 'release/3.1'

Conflicts:
	base
	core
	dictionaries
	help
	linkeditor
	textgridlab-dependencies
	xmleditor
parents dda33cda c94adf0d
[submodule "textgridlab-dependencies"]
path = textgridlab-dependencies
url = git@git.projects.gwdg.de:textgridlab-dependencies.git
branch = release/3.0
branch = master
[submodule "core"]
path = core
url = git@git.projects.gwdg.de:lab-core.git
branch = release/3.0
branch = master
[submodule "base"]
path = base
url = git@git.projects.gwdg.de:lab-base.git
branch = release/3.0
branch = master
[submodule "xmleditor"]
path = xmleditor
url = git@git.projects.gwdg.de:xmleditor.git
branch = release/3.0
branch = master
[submodule "help"]
path = help
url = git@git.projects.gwdg.de:help.git
branch = release/3.0
branch = master
[submodule "linkeditor"]
path = linkeditor
url = git@git.projects.gwdg.de:linkeditor.git
branch = release/3.0
branch = master
[submodule "dictionaries"]
path = dictionaries
url = git@git.projects.gwdg.de:dictionaries.git
branch = release/3.0
branch = master
base @ ce6264d2
Subproject commit 5061c1f3d1b1b88a750f170e9ef38fd428d134ae
Subproject commit ce6264d2b816a05b8e7d83319521cc4bcb43f606
core @ 5ddd3a0c
Subproject commit b65adcd3d683d9f1db191f6749d2b9bdfe4ce963
Subproject commit 5ddd3a0c812a8c1cbb17adda9f7124e0f3c5baf8
dictionaries @ 3b5faff3
Subproject commit aca45a7817a345d41d81479b7315973ae0ab19fe
Subproject commit 3b5faff386e0ad68992d7b38a4beca357fa476d1
help @ e417b134
Subproject commit 0b7834ef70f77f0cb15c3fcb8765dd81861a580f
Subproject commit e417b1349384ec6c6e93c6d170791f2dca02da06
linkeditor @ b2be5ca4
Subproject commit b03267ccb1ff688c8df65fde99e70298fa2e4a68
Subproject commit b2be5ca4ee0377fa4f46587478394bc7a071bcce
......@@ -4,7 +4,7 @@
<modelVersion>4.0.0</modelVersion>
<groupId>info.textgrid.lab</groupId>
<artifactId>parent</artifactId>
<version>2.8.0-SNAPSHOT</version>
<version>3.0.1-SNAPSHOT</version>
<packaging>pom</packaging>
......@@ -156,6 +156,7 @@
<executions>
<execution>
<id>plugin-source</id>
<phase>package</phase>
<goals>
<goal>plugin-source</goal>
</goals>
......@@ -242,6 +243,7 @@
<!--url>http://textgridlab.org/updates/nightly</url-->
</repository>
</baselineRepositories>
<baselineReplace>common</baselineReplace>
</configuration>
</plugin>
</plugins>
......
#!/bin/zsh
handled=$(mktemp -t)
export handled
for pngnew in "$1"/*.png
do
base=${pngnew:r:t}
num=${base%%-*}
export pngnew base
find * -name "${num}-*" | while read match
do
export match
echo "${pngnew:t}" >> $handled
echo "Replacing $match with $pngnew ..."
cp -p "$pngnew" "${match:h}"
if [ "${pngnew:t}" != "${match:t}" ]
then
(
echo " - need to adjust references"
cd "${match:h}"
git rm "${match:t}"
git add "${pngnew:t}"
cd "$(git rev-parse --show-toplevel)"
git grep -l -F "${match:t}" | while read referringfile
do
sed -i -e "s/${match:t}/${pngnew:t}/g" "$referringfile"
git add "$referringfile"
done
)
else
(
cd "${match:h}"
git add "${pngnew:t}"
)
fi
done
done
echo "### Unhandled files: "
ls "$1" | grep -v -F -f "$handled" | tee unhandled.log | nl
echo "### Handled files: "
cat "$handled" | uniq | nl
rm "$handled"
......@@ -10,7 +10,7 @@
<parent>
<groupId>info.textgrid.lab</groupId>
<artifactId>parent</artifactId>
<version>2.8.0-SNAPSHOT</version>
<version>3.0.0-SNAPSHOT</version>
<relativePath>../parent</relativePath>
</parent>
......
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?pde version="3.8"?><target includeMode="feature" name="Lab-TP-Luna" sequenceNumber="77">
<?pde version="3.8"?><target includeMode="feature" name="Lab-TP-Luna" sequenceNumber="106">
<locations>
<location includeAllPlatforms="true" includeConfigurePhase="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
<unit id="org.apache.solr.servlet.source" version="1.4.0.v20100421-0704"/>
......@@ -311,55 +311,62 @@
<repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20140525021250/repository/"/>
</location>
<location includeAllPlatforms="true" includeConfigurePhase="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
<unit id="crudclient-feature.feature.group" version="1.0.1.201412081616"/>
<unit id="cxf-feature.feature.group" version="1.0.3.201412081616"/>
<unit id="net.sf.saxon9he.feature.feature.group" version="9.4.0.201412081616"/>
<unit id="tgpublish-client-feature.feature.group" version="1.0.1.201412081616"/>
<unit id="confclient-feature.feature.group" version="1.0.1.201412081616"/>
<unit id="core-libs-feature.feature.group" version="1.0.3.201412081616"/>
<unit id="projectfile-feature.feature.group" version="1.0.1.201412081616"/>
<unit id="tgrep-core-feature.feature.group" version="1.0.1.201412081616"/>
<unit id="searchclient-feature.feature.group" version="1.0.2.201412081616"/>
<unit id="authclient-feature.feature.group" version="1.0.1.201412081616"/>
<repository location="http://download.digital-humanities.de/updates/repository/"/>
<unit id="org.eclipse.babel.nls_rt.rap_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_tools.pdt_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_modeling.emfstore_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_mylyn_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_modeling.ecp_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_technology.packaging_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_eclipse_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_tools.tm_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_modeling.graphiti_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_datatools_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_technology.recommenders_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_tools.linuxtools_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_webtools_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_soa.stardust_de.feature.group" version="4.4.0.v20141223043836"/>
<unit id="org.eclipse.babel.nls_birt_de.feature.group" version="4.4.0.v20141223043836"/>
<repository location="http://download.eclipse.org/technology/babel/update-site/R0.12.1/luna"/>
</location>
<location includeAllPlatforms="true" includeConfigurePhase="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.babel.nls_technology.packaging_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_technology.packaging_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_rt.rap_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_datatools_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_tools.tm_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_eclipse_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_rt.rap_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_mylyn_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_datatools_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_soa.stardust_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_soa.stardust_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_webtools_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_tools.tm_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_webtools_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_mylyn_de.feature.group" version="4.4.0.v20140623020002"/>
<unit id="org.eclipse.babel.nls_eclipse_en_AA.feature.group" version="4.4.0.v20140623020002"/>
<repository location="http://download.eclipse.org/technology/babel/update-site/R0.12.0/luna"/>
<unit id="org.eclipse.nebula.feature.feature.group" version="1.0.0.201504221542"/>
<repository location="http://download.eclipse.org/technology/nebula/snapshot"/>
</location>
<location includeAllPlatforms="true" includeConfigurePhase="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.gef.sdk.feature.group" version="3.9.101.201408150207"/>
<unit id="org.eclipse.wst.web_ui.feature.feature.group" version="3.6.3.v201501312139"/>
<unit id="org.eclipse.sdk.ide" version="4.4.2.M20150204-1700"/>
<unit id="org.eclipse.papyrus.infra.gmfdiag.feature.feature.group" version="1.0.2.v201502181349"/>
<unit id="org.eclipse.gmf.runtime.sdk.feature.group" version="1.8.1.201408201453"/>
<unit id="org.eclipse.zest.sdk.feature.group" version="1.5.101.201408150207"/>
<unit id="org.eclipse.emf.diffmerge.sdk.feature.feature.group" version="0.3.0.v20140611-1329"/>
<unit id="org.eclipse.wst.xml_ui.feature.feature.group" version="3.6.3.v201501292352"/>
<unit id="org.eclipse.xsd.edit.source.feature.group" version="2.8.0.v20150123-0452"/>
<unit id="org.eclipse.wst.xsl.feature.feature.group" version="1.3.401.v201409111855"/>
<unit id="org.eclipse.xsd.sdk.feature.group" version="2.10.0.v20140901-1055"/>
<unit id="org.eclipse.rcp.sdk.id" version="4.4.1.M20140925-0400"/>
<unit id="org.eclipse.emf.ecp.sdk.feature.feature.group" version="1.4.0.20140916-1322"/>
<unit id="org.eclipse.xsd.edit.feature.group" version="2.8.0.v20140901-1055"/>
<unit id="org.eclipse.wst.xml_userdoc.feature.feature.group" version="3.6.0.v201405062158-50FYwAkF7B77UBZFDBL"/>
<unit id="org.eclipse.emf.sdk.feature.group" version="2.10.1.v20140901-1055"/>
<unit id="org.eclipse.epp.mpc.feature.group" version="1.3.1.v20140908-1651"/>
<unit id="org.eclipse.wst.xml_ui.feature.feature.group" version="3.6.1.v201409111852"/>
<unit id="org.eclipse.wst.xml_core.feature.feature.group" version="3.6.1.v201409111852"/>
<unit id="org.eclipse.epp.mpc.source.feature.group" version="1.3.1.v20140908-1651"/>
<unit id="org.eclipse.platform.sdk" version="4.4.1.M20140925-0400"/>
<unit id="org.eclipse.sdk.ide" version="4.4.1.M20140925-0400"/>
<unit id="org.eclipse.epp.package.testing.feature.feature.group" version="4.4.1.20140925-1820"/>
<unit id="org.eclipse.gmf.sdk.feature.group" version="3.2.1.201502182128"/>
<unit id="org.eclipse.gmf.tooling.runtime.source.feature.group" version="3.2.1.201502182128"/>
<unit id="org.eclipse.equinox.p2.sdk.feature.group" version="3.9.1.v20150129-0838"/>
<unit id="org.eclipse.xsd.edit.feature.group" version="2.8.0.v20150123-0452"/>
<repository location="http://download.eclipse.org/releases/luna/"/>
</location>
<location includeAllPlatforms="true" includeConfigurePhase="true" includeMode="slicer" includeSource="true" type="InstallableUnit">
<unit id="tgpublish-client-feature.feature.group" version="1.0.1.201504271328"/>
<unit id="info.textgrid.lab.core.feature.source.feature.group" version="1.0.0.201504211230"/>
<unit id="cxf-feature.feature.group" version="1.0.3.201504271328"/>
<unit id="net.sf.saxon9he.feature.feature.group" version="9.4.0.201504271328"/>
<unit id="info.textgrid.lab.dictionarysearch.feature.source.feature.group" version="1.0.0.201504020845"/>
<unit id="projectfile-feature.feature.group" version="1.0.1.201504271328"/>
<unit id="info.textgrid.lab.xmleditor.feature.source.feature.group" version="2.1.2.201504211343"/>
<unit id="authclient-feature.feature.group" version="1.0.1.201504271328"/>
<unit id="info.textgrid.lab.linkeditor.feature.source.feature.group" version="1.0.0.201503171331"/>
<unit id="info.textgrid.lab.feature.base.source.feature.group" version="3.0.0.201504240550"/>
<unit id="core-libs-feature.feature.group" version="1.0.3.201504271328"/>
<unit id="info.textgrid.lab.feature.auth.source.feature.group" version="0.1.0.201503251130"/>
<unit id="crudclient-feature.feature.group" version="1.0.1.201504271328"/>
<unit id="confclient-feature.feature.group" version="1.0.1.201504271328"/>
<unit id="searchclient-feature.feature.group" version="1.0.2.201504271328"/>
<repository location="https://textgridlab.org/updates/stable/composite/3.0.0"/>
</location>
</locations>
<targetJRE path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
</target>
textgridlab-dependencies @ 728ed5ee
Subproject commit f32691f73c35d4eef0583b2e595d804ca5c488e6
Subproject commit 728ed5ee0a1e900f84dc02a93b9b7734d4a3db78
xmleditor @ a4bfb91a
Subproject commit d2b5c7e5f3723ab8e0d408df1efdfb578b75ca8d
Subproject commit a4bfb91aa4336dc61c1483fdabf78c216d3eaca0
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment